Bug 110045 - Wrong fullscreen windows behaviour
Summary: Wrong fullscreen windows behaviour
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-14 14:09 UTC by Need Real Name
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 19:39:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-11-14 14:09:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624

Description of problem:
Daughter windows, set transient for the parent fullscreen window, hide
itself under the parent window, which is wrong. 
If the parent window is in a unfullscreened mode, daughter transient
windows keep the top level (it is the expected behaviour).

Version-Release number of selected component (if applicable):
metacity-2.6.3-1

How reproducible:
Always

Steps to Reproduce:
1.Build a fullscreen gtk2+ window, put a button on it and program the
on_clicked method of the button to create a new window, set transient
for the parent window.
2.After compilation launch the program and push the button.
3.You can see the hidden window only by pressing ALT+TAB.
    

Actual Results:  The transient window cannot stay on top level, which
is wrong.

Expected Results:  The transient window should stay above its parent
fullscreened window untill it is not destroyed. 

Additional info:

Gnome 2.4, gtk+-2.2.4, gtkmm-2.2.8

Comment 1 Alastair Sherringham 2004-02-23 11:57:48 UTC
I have an application we want to go fullscreen (written in FLTK). In
Gnome, we can bind a key (ALT+CTRL+F) to "toggle fullscreen mode".
However, transient windows are a problem - they open up behind the
main, fullscreen one in Fedora Core 1. The behaviour is correct in
Redhat 9 i.e.

Redhat 9 , metacity-2.4.34-3 --> OK fullscreen mode + dialog/transients

Fedora Core 1 , metacity-2.6.3-1 --> NOT ok. Dialogs/transients behind
fullscreen window.

Comment 2 Alastair Sherringham 2004-02-23 15:29:10 UTC
Additionally ;

Redhat 8.0 , metacity-2.4.0.92-5 --> NOT ok



Comment 3 Alastair Sherringham 2004-02-24 22:52:29 UTC
OK, I have looked at later metacity versions and they seem to fix this
issue. RPM on FC1 was a pain (dependencies) so I built from source and
tried ;

metacity-2.6.5 --> OK
metacity-2.7.0 --> OK

Both versions went fullscreen properly and transient child windows
appeared on top of the parent, in front and selectable/useable.
Behaviour is much better. 

So - thanks for all the work. I guess this bug can be "resolved" - but
tested by someone else as well.

Comment 4 Havoc Pennington 2004-05-25 19:39:38 UTC
Closing then, if reopened please attach a compilable test case.


Note You need to log in before you can comment on or make changes to this bug.